İçeriğe geç

Stable Audio Open

Entegre et

Model kimliği stable-audio
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/stable-audio?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu istek: ≈$0,02 20 API kredisi · ≈ ₽2,11 Bu sayfada çalıştır

API anahtarı al
Stability AI Ses #music

47 saniyeye kadar klipler oluşturan, kısa müzik ve sesler için uygun, açık metinden sese modeli

Stability AI · Ses

İlk sonucunuz burada görünecek

Aşağıda bir istek oluşturun ve API anahtarınızla çalıştırın. Çıktılar depolamamıza kopyalanır ve sonsuza kadar veya ücretsiz olarak 7 gün boyunca saklanır.

İstek oluştur

Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.

•gerekli

Ses üretiminin temeli olarak kullanılan istem.

Gelişmiş seconds_start · seconds_total · steps · enable_safety_checker
varsayılan 0

Üretilen ses klibinin başlangıç konumu.

varsayılan 30

Üretilmekte olan ses klibinin uzunluğu.

varsayılan 100

Sese uygulanan gürültü giderme adımlarının sayısı.

POST /run/stable-audio?wait=20 fiyat → $0,02
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/stable-audio?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu isteği çalıştır

Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al

Stable Audio Open hakkında

Metin `prompt` değerinden bir ses klibi oluşturur. `seconds_total`, klip uzunluğunu 47 saniyeye kadar ayarlar (varsayılan 30); `seconds_start` ise başlangıç noktasını yine 47 saniyeye kadar belirler. `steps`, gürültü giderme adımlarını 2 ile 1000 arasında kontrol eder ve varsayılanı 100'dür. Tek bir ses dosyası döndürür.

Parametreler

AdTür Varsayılanİzin verilen Açıklama
promptgerekli
Türstring
Ses üretiminin temeli olarak kullanılan istem.
seconds_startisteğe bağlı
Türinteger
Varsayılan0
0 – 47
Üretilen ses klibinin başlangıç konumu.
seconds_totalisteğe bağlı
Türinteger
Varsayılan30
0 – 47
Üretilmekte olan ses klibinin uzunluğu.
stepsisteğe bağlı
Türinteger
Varsayılan100
2 – 1.000
Sese uygulanan gürültü giderme adımlarının sayısı.
enable_safety_checkeristeğe bağlı
Türboolean
Varsayılantrue
Çağıran yetkiliyse false ayarlanarak tarama gevşetilebilir.
gerekli

Çıktı

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "stable-audio",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 20,
    "usd": "0.02",
    "charged": 20,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "audio_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Dosyalarınız, seçiminizHer outputs[].url, depolamamızdaki bir kopyadır: sonsuza kadar (GB-ay başına ücretli) veya ücretsiz olarak 7 gün boyunca, hesap ayarınızla ya da ?storage= ile saklanır.
Her modelde aynı yapıGörüntüler, video ve ses için type, url, content_type, width, height ve duration aynıdır. output, modelin kendi sonuç nesnesidir.
Çıktı alanları
audio_file
object {url, content_type, file_name, file_size}Üretim sonucunda oluşturulan ses klibi.

AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/stable-audio.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt